.quantity {
    display: block;
    position: relative;
    background: $white;
    height: toRem(32);
    padding: 0 toRem(32);
    border-radius: 8px;
    border: 1px solid #E3E4E4;
    $input-selector: "input[type=text], input[type=number]";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        z-index: 10;
        height: toRem(30);
        border: none;
        outline: none;
        color: #5D6570;
        text-align: center;
        font-weight: 400;
        font-size: toRem(14);
        line-height: toRem(24);
        padding: toRem(3) 0;
        border-radius: 0;
        position: relative;
        background: transparent;
        display: block;
        vertical-align: middle;
        @include placeholder(transparent);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            opacity: 1;
            outline: none;
            @include placeholder(transparent);

        }


        &.error {
            border-color: red !important;
        }
    }

    input[type="number"]::-webkit-outer-spin-button,
    input[type="number"]::-webkit-inner-spin-button {
        display: none;
    }

    &__button {
        top: 0;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: toRem(30);
        height: toRem(30);
        background: transparent;
        cursor: pointer;
        position: absolute;
        &:after,
        &:before {
            top: calc(50% - 1px);
            left: calc(50% - 5px);
            z-index: 10;
            content: '';
            width: 12px;
            height: 2px;
            background: $blue;
            position: absolute;
        }

        &--minus {
            left: 0;
            border-radius: 8px 0 0 8px;
        }

        &--plus {
            right: 0;
            border-radius: 0 8px 8px 0;

            &:after {
                transform: rotate(90deg);
            }
        }
    }
}

